Bug 252364 - rhgb/init leaked file descriptors?
rhgb/init leaked file descriptors?
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-15 13:14 EDT by Orion Poplawski
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-12 13:00:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-08-15 13:14:20 EDT
Description of problem:

From fresh install:

Aug 15 10:45:58 lynx kernel: audit(1187196346.802:4): avc:  denied  { read write
} for  pid=1517 comm="microcode_ctl" path="/dev/pts/0" dev=devpts ino=2
scontext=system_u:system_r:cpucontrol_t:s0
tcontext=system_u:object_r:rhgb_devpts_t:s0 tclass=chr_file
Aug 15 10:45:58 lynx kernel: audit(1187196346.802:5): avc:  denied  { read write
} for  pid=1517 comm="microcode_ctl" path="/dev/pts/0" dev=devpts ino=2
scontext=system_u:system_r:cpucontrol_t:s0
tcontext=system_u:object_r:rhgb_devpts_t:s0 tclass=chr_file
Aug 15 10:45:58 lynx kernel: audit(1187196346.802:6): avc:  denied  { read write
} for  pid=1517 comm="microcode_ctl" path="/dev/pts/0" dev=devpts ino=2
scontext=system_u:system_r:cpucontrol_t:s0
tcontext=system_u:object_r:rhgb_devpts_t:s0 tclass=chr_file
Aug 15 10:45:58 lynx kernel: audit(1187196347.348:7): avc:  denied  { read write
} for  pid=1547 comm="kudzu" path="/dev/pts/0" dev=devpts ino=2
scontext=system_u:system_r:kudzu_t:s0
tcontext=system_u:object_r:rhgb_devpts_t:s0 tclass=chr_file
Aug 15 10:45:58 lynx kernel: audit(1187196347.348:8): avc:  denied  { read write
} for  pid=1547 comm="kudzu" path="/dev/pts/0" dev=devpts ino=2
scontext=system_u:system_r:kudzu_t:s0
tcontext=system_u:object_r:rhgb_devpts_t:s0 tclass=chr_file
Aug 15 10:45:58 lynx kernel: audit(1187196347.348:9): avc:  denied  { read write
} for  pid=1547 comm="kudzu" path="/dev/pts/0" dev=devpts ino=2
scontext=system_u:system_r:kudzu_t:s0
tcontext=system_u:object_r:rhgb_devpts_t:s0 tclass=chr_file
Aug 15 10:45:58 lynx kernel: audit(1187196350.214:10): avc:  denied  { read
write } for  pid=1651 comm="arping" path="/dev/pts/0" dev=devpts ino=2
scontext=system_u:system_r:netutils_t:s0
tcontext=system_u:object_r:rhgb_devpts_t:s0 tclass=chr_file
Aug 15 10:45:58 lynx kernel: audit(1187196350.215:11): avc:  denied  { read
write } for  pid=1651 comm="arping" path="/dev/pts/0" dev=devpts ino=2
scontext=system_u:system_r:netutils_t:s0
tcontext=system_u:object_r:rhgb_devpts_t:s0 tclass=chr_file
Aug 15 10:45:58 lynx kernel: audit(1187196350.215:12): avc:  denied  { read
write } for  pid=1651 comm="arping" path="/dev/pts/0" dev=devpts ino=2
scontext=system_u:system_r:netutils_t:s0
tcontext=system_u:object_r:rhgb_devpts_t:s0 tclass=chr_file
Aug 15 10:45:59 lynx kernel: audit(1187196359.058:13): avc:  denied  { use } for
 pid=2182 comm="setsebool" path="/dev/pts/0" dev=devpts ino=2
scontext=system_u:system_r:semanage_t:s0 tcontext=system_u:system_r:init_t:s0
tclass=fd
Aug 15 10:45:59 lynx kernel: audit(1187196359.059:14): avc:  denied  { use } for
 pid=2182 comm="setsebool" path="/dev/pts/0" dev=devpts ino=2
scontext=system_u:system_r:semanage_t:s0 tcontext=system_u:system_r:init_t:s0
tclass=fd
Aug 15 10:45:59 lynx kernel: audit(1187196359.059:15): avc:  denied  { use } for
 pid=2182 comm="setsebool" path="/dev/pts/0" dev=devpts ino=2
scontext=system_u:system_r:semanage_t:s0 tcontext=system_u:system_r:init_t:s0
tclass=fd

Version-Release number of selected component (if applicable):
selinux-policy-3.0.5-7.fc8
Comment 1 Daniel Walsh 2007-08-20 16:45:25 EDT
Fixed in selinux-policy-3.0.5-9.fc8.src.rpm
Comment 2 Daniel Walsh 2007-09-12 13:00:34 EDT
ALready fixed in rawhide

Note You need to log in before you can comment on or make changes to this bug.